%define anolis_release 1
Name:           libdecor
Version:        0.2.2
Release:        %{anolis_release}%{?dist}
Summary:        Wayland client side decoration library

License:        MIT
URL:            https://gitlab.freedesktop.org/libdecor/libdecor
Source:         https://gitlab.freedesktop.org/libdecor/libdecor/-/releases/%{version}/downloads/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  meson >= 0.47.0
BuildRequires:  gtk3
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(dbus-1) >= 1.0
BuildRequires:  pkgconfig(pangocairo)
BuildRequires:  pkgconfig(wayland-client) >= 1.18
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-protocols) >= 1.15
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(gtk+-3.0)

%description
Libdecor provides a small helper library for providing client side decoration
to Wayland clients.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1

%build
%meson -Ddemo=false
%meson_build

%install
%meson_install

%files
%license LICENSE
%doc README.md
%{_libdir}/libdecor-0.so.0*
%dir %{_libdir}/libdecor/
%dir %{_libdir}/libdecor/plugins-1
%{_libdir}/libdecor/plugins-1/libdecor-cairo.so
%{_libdir}/libdecor/plugins-1/libdecor-gtk.so

%files devel
%{_includedir}/libdecor-0/
%{_libdir}/libdecor-0.so
%{_libdir}/pkgconfig/libdecor-0.pc

%changelog
* Tue Feb 25 2025 Xiaoping Liu <lxp01404969@alibaba-inc.com> - 0.2.2-1
- Refer to CentOS Stream libdecor-0.2.2-5 (tdawson@redhat.com)

* Tue Jan 24 2023 Funda Wang <fundawang@yeah.net> - 0.1.1-1
- Import package for anolis 23
